#!/bin/ksh
# checkdb_log.sh 1.1 of 12/09/03
# @(#)checkdb_log.sh	1.1
##############################################################################
# checkdb_log.sh
##############################################################################
# Called from checkdb.sh to move the logical logs
##############################################################################

# Set up environment.

ENV=$1
HOST=$2

# Capture Informix information from .profile of informix ID.
INFHOME=`grep informix /etc/passwd | head -1 | cut -d: -f6`
grep INFORMIXDIR ${INFHOME}/.profile > ${INFHOME}/.tmpchk.$$
if [ "${ENV}" = "sh" ]
then
        grep INFORMIXSERVER ${INFHOME}/.profile >> ${INFHOME}/.tmpchk.$$
        grep ONCONFIG ${INFHOME}/.profile >> ${INFHOME}/.tmpchk.$$
else
        export INFORMIXSERVER=${1}_shm
        export ONCONFIG=onconfig.${1}
fi
. ${INFHOME}/.tmpchk.$$
rm ${INFHOME}/.tmpchk.$$
if [ "${ENV}" = "sh" ]
then
	LOG_DIR="${INFORMIXDIR}/logs"
else
	LOG_DIR="/db_activity/${ENV}/logs"
fi
export PATH=$PATH:$INFORMIXDIR/bin

# Do this only if no other ontape (logical log backup) is running for this instance.

if [ ! -f /tmp/ontape.L${ENV} ]
then
        onmode -l 
        sleep 2
        onmode -c
	echo "Informix database ${INFORMIXSERVER} logs moved on host ${HOST} on `date`." >> ${LOG_DIR}/checkdb.out
else
	echo "Informix database ${INFORMIXSERVER} log backup already in progress on host ${HOST} on `date`." >> ${LOG_DIR}/checkdb.out
fi

exit 0

